View Issue Details

IDProjectCategoryView StatusLast Update
0024245LazarusLCLpublic2013-04-10 19:45
ReportergparsonsAssigned ToJesus Reyes 
PrioritylowSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformWindowsOSWindows 7OS Version
Product Version1.0.8Product Build 
Target Version1.2.0Fixed in Version1.1 (SVN) 
Summary0024245: StringGrid loses focus if cell is selected programmatically if the StringGrid is not the first tab-able component
DescriptionIf a StringGrid is not the first tab-able component, when the cell is changed programatically from within a custom editor the StringGrid will lose focus.

This can lead to unexpected, and unwanted behaviour and requires additional coding to mitigate.
Steps To ReproduceSee attached file containing amended gridcelleditor demo.

When StringGrid is TabOrder 0 it exhibits the expected, correct behaviour. The next cell is selected when Tab or Return is pressed and the user can enter data.

However, if TabOrder is changed to 2 or 3, pressing Tab or Return will select the next cell, but then the focus is immediately lost. This can be mitigated by adding ComboBox1.SetFocus after cell selection but this is undesirable as there may be many columns each with different custom editors.

Also, if the StringGrid is placed into a PageControl it will always exhibit the undesirable bahaviour even if it is TabOrder 0.
TagsNo tags attached.
Fixed in Revision40785
LazTarget1.2
WidgetsetWin32/Win64
Attached Files

Activities

gparsons

2013-04-07 22:39

reporter  

gridcelleditor.zip (91,841 bytes)

Jesus Reyes

2013-04-10 19:25

developer   ~0066911

Please test

Issue History

Date Modified Username Field Change
2013-04-07 22:39 gparsons New Issue
2013-04-07 22:39 gparsons File Added: gridcelleditor.zip
2013-04-09 18:33 Jesus Reyes Assigned To => Jesus Reyes
2013-04-09 18:33 Jesus Reyes Status new => assigned
2013-04-10 19:25 Jesus Reyes Fixed in Revision => 40785
2013-04-10 19:25 Jesus Reyes LazTarget => 1.2
2013-04-10 19:25 Jesus Reyes Note Added: 0066911
2013-04-10 19:25 Jesus Reyes Status assigned => resolved
2013-04-10 19:25 Jesus Reyes Fixed in Version => 1.1 (SVN)
2013-04-10 19:25 Jesus Reyes Resolution open => fixed
2013-04-10 19:25 Jesus Reyes Target Version => 1.2.0